#!/usr/bin/perl -w
#
# Usage: cat apache.logs | ./uniq_hits.pl
#
# Author: Michael Rash <mbr@cipherdyne.org>
#
# License: GPL v2
#

use strict;

my %urls = ();

while (<STDIN>) {
    $urls{$1}++ if /^\S+\s\-\s.*GET\s(\S+)/;
}

for my $url (sort {$urls{$b} <=> $urls{$a}} keys %urls) {
    printf "%6d : %s\n", $urls{$url}, $url;
}

exit 0;
